{% extends "mplate_base_bootstrap.html" %}

{% load summarizemodelyears %}

{% block content %}

<div class="row">
  <div class="col my-5">

    {% if m_code_query_set%}
      <div class="table-responsive">
        <table class="table table-hover">
          <tr>
            <th><strong>{{ 'Code'|upper }}</strong></th> 
            <th><strong>{{ 'Years'|upper }}</strong></th>
            <th><strong>{{ 'Description'|upper }}</strong></th>            
          </tr>
      {% for mcode in m_code_query_set %}
          <tr>
            <td>{{ request.GET.q|upper }}</td>
            <td>{{ mcode.years|summarizemodelyears }}</td>
            <td>
              {% if mcode.description|length > 0 %}
                {{ mcode.description }}
              {% else %}
                M-code collection: {{ mcode.collection }}
              {% endif %}
             </td>
          </tr>
      {% endfor %}
        </table>
      </div>
    {% endif %}

    {% if object_list %}
    <h2 class="mt-3" >Found {{ paginator.count }} M-plates with M-code: {{ request.GET.q|upper }}</h2>
    <div class="list-group mt-4">
        <a href="#" class="list-group-item list-group-item-action list-group-item-secondary">
          <div class="d-flex justify-content-between align-items-center">
            <h5 class="my-1">M-PLATE</h5>
            <h5 class="my-1">M-CODES</h5>
          </div>
        </a>
      {% for mplate in object_list %}
        <a href="{{ mplate.get_absolute_url }}" class="list-group-item list-group-item-action">
          <div class="d-flex justify-content-between align-items-center">
            <h5 class="my-1">{{ mplate.chassis_number_short }}</h5>
            <span>{{ mplate.m_codes_1 }} {{ mplate.m_codes_2}}</span>
          </div>
        </a>
      {% endfor %}
    </div>
      {% if is_paginated %}
        <div class="mt-3">
          <nav aria-label="Search page navigation">
            <ul class="pagination">
              {% if page_obj.has_previous %}
                <li class="page-item">
                  <a class="page-link" href="?q={{ request.GET.q }}&page={{ page_obj.previous_page_number }}">&laquo;</a>
                </li>
              {% else %}
                <li class="page-item disabled">
                  <a class="page-link" href="#" tabindex="-1" aria-disabled="true">&laquo;</a>
                </li>
              {% endif %}

              {% for i in paginator.page_range %}
                {% if page_obj.number == i %}
                  <li class="page-item active" aria-current="page">
                    <a class="page-link" href="#">{{ i }} <span class="sr-only">(current)</span></a>
                  </li>
                {% else %}
                  <li class="page-item">
                    <a class="page-link" href="?q={{ request.GET.q }}&page={{ i }}">{{ i }}</a>
                  </li>
                {% endif %}
              {% endfor %}

              {% if page_obj.has_next %}
                <li class="page-item">
                  <a class="page-link" href="?q={{ request.GET.q }}&page={{ page_obj.next_page_number }}">&raquo;</a>
                </li>
              {% else %}
                <li class="page-item disabled">
                  <a class="page-link" href="#" tabindex="-1" aria-disabled="true">&raquo;</a>
                </li>
              {% endif %}
            </ul>
          </nav>
        </div>
      {% endif %}
    {% else %}
    <p class="lead mt-4">There are currently no M-plates with M-code: {{ request.GET.q|upper }}.</p>
    {% endif %}

  </div>
</div>

{% endblock %}